X2Go Bug report logs - #870
x2goclient: undefined symbol: ssh_forward_listen

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Andrey Amado Benavides <andreyamado@grupovidanta.com>

Date: Wed, 13 May 2015 16:00:01 UTC

Severity: normal

Tags: pending

Found in versions 4.0.4.0, 4.0.3.2

Fixed in version 4.1.1.0

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


Message #37 received at 870@bugs.x2go.org (full text, mbox, reply):

Received: (at 870) by bugs.x2go.org; 5 Mar 2017 22:22:34 +0000
From x2go@ymir.das-netzwerkteam.de  Sun Mar  5 23:22:15 2017
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 1C7D65DA2A;
	Sun,  5 Mar 2017 23:22:15 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 0AgMn34q8qNo; Sun,  5 Mar 2017 23:22:08 +0100 (CET)
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id C78065DA88; Sun,  5 Mar 2017 23:22:07 +0100 (CET)
From: Mihai Moldovan <ionic@ymir.das-netzwerkteam.de,
	@ionic.de>@ymir.das-netzwerkteam.de
To: 870-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 870@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20170305222207.C78065DA88@ymir.das-netzwerkteam.de>
Date: Sun,  5 Mar 2017 23:22:07 +0100 (CET)
tag #870 pending
fixed #870 4.1.0.1
thanks

Hello,

X2Go issue #870 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=9612e6a

The issue will most likely be fixed in src:x2goclient (4.1.0.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 9612e6a5aaf6f930d3c79d861a7c92b7df83b156
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Sat Jan 28 16:04:28 2017 +0100

    src/sshmasterconnection.cpp: use ssh_channel_listen_forward () instead of ssh_forward_listen () for newer libssh versions. Fixes: #870.

diff --git a/debian/changelog b/debian/changelog
index 605a504..f911630 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,9 @@
 x2goclient (4.1.0.1-0x2go1) UNRELEASED; urgency=medium
 
-  * Continue development
+  [ Mihai Moldovan ]
+  * New upstream version (4.1.0.1):
+    - src/sshmasterconnection.cpp: use ssh_channel_listen_forward () instead
+      of ssh_forward_listen () for newer libssh versions. Fixes: #870.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Wed, 22 Feb 2017 07:13:10 +0100
 


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 19 08:36:29 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.